Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.xml
Class XmlObjectConfigurationBuilder

    java.lang.Object
      com.eviware.soapui.support.xml.XmlObjectConfigurationBuilder

    public class XmlObjectConfigurationBuilder

extends java.lang.Object

Support class for building XmlObject based configurations

Author:
  Ole.Matzura

Constructor Summary
`XmlObjectConfigurationBuilder()`
`XmlObjectConfigurationBuilder(org.apache.xmlbeans.XmlObject config)`

Method Summary
`XmlObjectConfigurationBuilder` | `add(java.lang.String name, boolean value)`
`XmlObjectConfigurationBuilder` | `add(java.lang.String name, float value)`
`XmlObjectConfigurationBuilder` | `add(java.lang.String name, int value)`
`XmlObjectConfigurationBuilder` | `add(java.lang.String name, long value)`
`XmlObjectConfigurationBuilder` | `add(java.lang.String name, java.lang.String value)`
`void` | `add(java.lang.String name, java.lang.String[] values)`
`org.apache.xmlbeans.XmlObject` | `finish()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlObjectConfigurationBuilder

    public XmlObjectConfigurationBuilder(org.apache.xmlbeans.XmlObject config)

### XmlObjectConfigurationBuilder

    public XmlObjectConfigurationBuilder()

Method Detail

### add

    public XmlObjectConfigurationBuilder add(java.lang.String name,
                                             java.lang.String value)

### add

    public XmlObjectConfigurationBuilder add(java.lang.String name,
                                             int value)

### add

    public XmlObjectConfigurationBuilder add(java.lang.String name,
                                             long value)

### add

    public XmlObjectConfigurationBuilder add(java.lang.String name,
                                             float value)

### finish

    public org.apache.xmlbeans.XmlObject finish()

### add

    public XmlObjectConfigurationBuilder add(java.lang.String name,
                                             boolean value)

### add

    public void add(java.lang.String name,
                    java.lang.String[] values)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.